Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction.injac.config
Class InjacConfig

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.injac.config.InjacConfig

public class InjacConfig
extends java.lang.Object

Id: InjacConfig.java,v 1.0
Copyright (c) 2004 Esup Portail (www.esup-portail.org)
Classes: InjacConfig
Original Author: Yohan Colmant
This class parse the injac.xml config file to return all parameters

Field Summary
`static InjacConfig` | `singleton`

Constructor Summary
`InjacConfig()` Constructor

Method Summary
`static InjacConfig` | `getInstance()` Used as a singleton for the injac config
`java.util.ArrayList` | `getMetadataProfiles()` return the metadataProfiles list
`java.util.ArrayList` | `getRenderingTypes()` return the renderingTypes list
`void` | `setMetadataProfiles(MetadataFileProfile metadataProfile)` add a new metadataProfile to the list
`void` | `setRenderingTypes(RenderingType renderingType)` add a new renderingType to the list

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    public static InjacConfig singleton

Constructor Detail

### InjacConfig

    public InjacConfig()
                throws PropertiesException

  Constructor

Method Detail

### getInstance

    public static InjacConfig getInstance()
                                   throws PropertiesException

  Used as a singleton for the injac config

  Returns:
    a singleton for the injac config
  Throws:
    `PropertiesException`

### getMetadataProfiles

    public java.util.ArrayList getMetadataProfiles()
                                            throws PropertiesException

  return the metadataProfiles list

  Returns:
    the metadataProfiles list
  Throws:
    `PropertiesException`

### setMetadataProfiles

    public void setMetadataProfiles(MetadataFileProfile metadataProfile)

  add a new metadataProfile to the list

  Parameters:
    `metadataProfile` - the metadataProfile to add

### getRenderingTypes

    public java.util.ArrayList getRenderingTypes()
                                          throws PropertiesException

  return the renderingTypes list

  Returns:
    the renderingTypes list
  Throws:
    `PropertiesException`

### setRenderingTypes

    public void setRenderingTypes(RenderingType renderingType)

  add a new renderingType to the list

  Parameters:
    `renderingType` - the renderingType to add

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD